# Uses of Class
org.apache.lucene.util.IntsRefBuilder

Packages that use IntsRefBuilder
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of IntsRefBuilder in org.apache.lucene.util.fst

  Fields in org.apache.lucene.util.fst declared as IntsRefBuilder
  Modifier and Type
  Field
  Description
  `final IntsRefBuilder`
  Util.FSTPath.`input`
  Methods in org.apache.lucene.util.fst with parameters of type IntsRefBuilder
  Modifier and Type
  Method
  Description
  `void`
  Util.TopNSearcher.`addStartPaths(FST.Arc<T> node, T startOutput, boolean allowEmptyString, IntsRefBuilder input)`
  `void`
  Util.TopNSearcher.`addStartPaths(FST.Arc<T> node, T startOutput, boolean allowEmptyString, IntsRefBuilder input, float boost, CharSequence context, int payload)`
  Adds all leaving arcs, including 'finished' arc, if the node is final, from this node into the queue.
  `static IntsRef`
  Util.`toIntsRef(BytesRef input, IntsRefBuilder scratch)`
  Just takes unsigned byte values from the BytesRef and converts into an IntsRef.
  `static IntsRef`
  Util.`toUTF16(CharSequence s, IntsRefBuilder scratch)`
  Just maps each UTF16 unit (char) to the ints in an IntsRef.
  `static IntsRef`
  Util.`toUTF32(char[] s, int offset, int length, IntsRefBuilder scratch)`
  Decodes the Unicode codepoints from the provided char[] and places them in the provided scratch IntsRef, which must not be null, returning it.
  `static IntsRef`
  Util.`toUTF32(CharSequence s, IntsRefBuilder scratch)`
  Decodes the Unicode codepoints from the provided CharSequence and places them in the provided scratch IntsRef, which must not be null, returning it.